Skip to main content
POST
/
v1
/
reimbursements
/
{reimbursementId}
/
review
Review (Approve or Reject) Reimbursement
curl --request POST \
  --url https://api.cadanapay.com/v1/reimbursements/{reimbursementId}/review \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sourceCurrency": "<string>",
  "reason": "<string>"
}
'
{
  "code": "invalid_request_body",
  "message": "The request body provided is not valid",
  "params": {
    "field": "Value is invalid."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-MultiTenantKey
string

Required when using a Platform API token. The tenant key identifying which business to operate on.

Path Parameters

reimbursementId
string<uuid>
required

The unique identifier for the reimbursement

Body

application/json
action
enum<string>
required

Whether to approve or reject the reimbursement

Available options:
approve,
reject
sourceCurrency
string

The wallet currency to disburse the reimbursement from; its balance must cover the amount. Required when action is approve (approving disburses the funds).

reason
string

Reason for the decision. Required when action is reject.

Response

Reimbursement reviewed